POST api/Insured/InsuredAgents
Insured agents list endpoint.
Request Information
URI Parameters
None.
Body Parameters
List of insured database Ids.
InsuredDataBaseIds| Name | Description | Type | Additional information |
|---|---|---|---|
| InsuredDataBaseId | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"insuredDataBaseId": [
"28d6024d-8b65-48aa-bab3-21cbc59259b6",
"3bd76916-72ba-40eb-832f-d70bbf1cb109"
]
}
application/xml, text/xml
Sample:
<InsuredDataBaseIds xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.OData">
<InsuredDataBaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>28d6024d-8b65-48aa-bab3-21cbc59259b6</d2p1:guid>
<d2p1:guid>3bd76916-72ba-40eb-832f-d70bbf1cb109</d2p1:guid>
</InsuredDataBaseId>
</InsuredDataBaseIds>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
List of XRefInsuredAgents against given insured database Ids.
XRefInsuredAgents| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| FirstName | string |
None. |
|
| LastName | string |
None. |
|
| Order | integer |
None. |
|
| InsuredDatabaseId | globally unique identifier |
None. |
|
| string |
None. |
||
| Phone | string |
None. |
|
| CellPhone | string |
None. |
|
| Fax | string |
None. |
|
| AgentType | string |
None. |
|
| Active | boolean |
None. |
|
| FusionEnabled | boolean |
None. |
|
| ChangeDate | date |
None. |
|
| CreateDate | date |
None. |
|
| PrimaryRole | string |
None. |
|
| AgentIs | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "502d9642-22ac-4db3-ab16-969a76c9799c",
"firstName": "sample string 2",
"lastName": "sample string 3",
"order": 4,
"insuredDatabaseId": "9806b895-b7c6-41b5-bdbf-84874d0a7128",
"email": "sample string 6",
"phone": "sample string 7",
"cellPhone": "sample string 8",
"fax": "sample string 9",
"agentType": "sample string 10",
"active": true,
"fusionEnabled": true,
"changeDate": "2026-05-09T00:11:24.7579826-05:00",
"createDate": "2026-05-09T00:11:24.7579826-05:00",
"primaryRole": "sample string 15",
"agentIs": "sample string 16"
}
application/xml, text/xml
Sample:
<XRefInsuredAgents xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Active>true</Active> <AgentIs>sample string 16</AgentIs> <AgentType>sample string 10</AgentType> <CellPhone>sample string 8</CellPhone> <ChangeDate>2026-05-09T00:11:24.7579826-05:00</ChangeDate> <CreateDate>2026-05-09T00:11:24.7579826-05:00</CreateDate> <DatabaseId>502d9642-22ac-4db3-ab16-969a76c9799c</DatabaseId> <Email>sample string 6</Email> <Fax>sample string 9</Fax> <FirstName>sample string 2</FirstName> <FusionEnabled>true</FusionEnabled> <InsuredDatabaseId>9806b895-b7c6-41b5-bdbf-84874d0a7128</InsuredDatabaseId> <LastName>sample string 3</LastName> <Order>4</Order> <Phone>sample string 7</Phone> <PrimaryRole>sample string 15</PrimaryRole> </XRefInsuredAgents>